summaryrefslogtreecommitdiffstats
path: root/source/a/unarj
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/unarj')
-rw-r--r--source/a/unarj/Makefile21
-rw-r--r--source/a/unarj/slack-desc19
-rwxr-xr-xsource/a/unarj/unarj.SlackBuild61
3 files changed, 101 insertions, 0 deletions
diff --git a/source/a/unarj/Makefile b/source/a/unarj/Makefile
new file mode 100644
index 000000000..95483e751
--- /dev/null
+++ b/source/a/unarj/Makefile
@@ -0,0 +1,21 @@
+#
+# Makefile for unarj under Linux
+# by Arrigo Triulzi ({a.triulzi,agbt}@{imperial,ic}.ac.uk)
+#
+
+CC = gcc
+CFLAGS = -O2 -DUNIX
+INSTALLDIR=/usr/bin
+
+unarj: unarj.o decode.o environ.o
+ gcc $(CFLAGS) -o unarj unarj.o decode.o environ.o
+
+clean:
+ rm -f core unarj *.o *.out
+
+install:
+ cp unarj $(INSTALLDIR)
+
+unarj.o: unarj.c unarj.h Makefile
+environ.o: environ.c unarj.h Makefile
+decode.o: decode.c unarj.h Makefile
diff --git a/source/a/unarj/slack-desc b/source/a/unarj/slack-desc
new file mode 100644
index 000000000..14b080098
--- /dev/null
+++ b/source/a/unarj/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+unarj: unarj (a command-line utility for decompressing .arj archives)
+unarj:
+unarj: This is a simple command-line tool for decompressing .arj files.
+unarj: Thanks to Haruhiko Okumura and ARJ Software, Inc. for providing this
+unarj: source code free of charge.
+unarj:
+unarj: UNARJ software and manual copyright (c) 1990-2002 ARJ Software, Inc.
+unarj: All rights reserved.
+unarj:
+unarj:
+unarj:
diff --git a/source/a/unarj/unarj.SlackBuild b/source/a/unarj/unarj.SlackBuild
new file mode 100755
index 000000000..56097eb2c
--- /dev/null
+++ b/source/a/unarj/unarj.SlackBuild
@@ -0,0 +1,61 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+VERSION=265
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-1}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-unarj
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf unarj${VERSION}
+tar xzvf $CWD/unarj${VERSION}.tar.gz
+cd unarj${VERSION}
+chown -R root:root .
+cp -a $CWD/Makefile.gz .
+gzip --force -d Makefile.gz
+make || exit 1
+mkdir -p $PKG/usr/bin
+cat unarj > $PKG/usr/bin/unarj
+chmod 755 $PKG/usr/bin/unarj
+mkdir -p $PKG/usr/doc/unarj${VERSION}
+cp -a \
+ *.txt \
+ $PKG/usr/doc/unarj${VERSION}
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+makepkg -l y -c n $TMP/unarj-$VERSION-$ARCH-$BUILD.txz
+